Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network65.26.192.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
65.26.192.0
Broadcast address
65.26.223.255
First usable
65.26.192.1
Last usable
65.26.223.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 411AC000 · Integer 1092272128 to 1092280319
Reverse DNS zones
192.26.65.in-addr.arpa
193.26.65.in-addr.arpa
194.26.65.in-addr.arpa
195.26.65.in-addr.arpa
196.26.65.in-addr.arpa
197.26.65.in-addr.arpa
198.26.65.in-addr.arpa
199.26.65.in-addr.arpa
200.26.65.in-addr.arpa
201.26.65.in-addr.arpa
202.26.65.in-addr.arpa
203.26.65.in-addr.arpa
204.26.65.in-addr.arpa
205.26.65.in-addr.arpa
206.26.65.in-addr.arpa
207.26.65.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01000001.00011010.11000000.0000000065.26.192.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network01000001.00011010.11000000.0000000065.26.192.0
Broadcast01000001.00011010.11011111.1111111165.26.223.255
Split into smaller subnets/31

65.26.192.0/19 makes 4,096 subnets of /31; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
165.26.192.0/3165.26.192.0 to 65.26.192.1—2
265.26.192.2/3165.26.192.2 to 65.26.192.3—2
365.26.192.4/3165.26.192.4 to 65.26.192.5—2
465.26.192.6/3165.26.192.6 to 65.26.192.7—2
565.26.192.8/3165.26.192.8 to 65.26.192.9—2
665.26.192.10/3165.26.192.10 to 65.26.192.11—2
765.26.192.12/3165.26.192.12 to 65.26.192.13—2
865.26.192.14/3165.26.192.14 to 65.26.192.15—2
965.26.192.16/3165.26.192.16 to 65.26.192.17—2
1065.26.192.18/3165.26.192.18 to 65.26.192.19—2
1165.26.192.20/3165.26.192.20 to 65.26.192.21—2
1265.26.192.22/3165.26.192.22 to 65.26.192.23—2
1365.26.192.24/3165.26.192.24 to 65.26.192.25—2
1465.26.192.26/3165.26.192.26 to 65.26.192.27—2
1565.26.192.28/3165.26.192.28 to 65.26.192.29—2
1665.26.192.30/3165.26.192.30 to 65.26.192.31—2
1765.26.192.32/3165.26.192.32 to 65.26.192.33—2
1865.26.192.34/3165.26.192.34 to 65.26.192.35—2
1965.26.192.36/3165.26.192.36 to 65.26.192.37—2
2065.26.192.38/3165.26.192.38 to 65.26.192.39—2
2165.26.192.40/3165.26.192.40 to 65.26.192.41—2
2265.26.192.42/3165.26.192.42 to 65.26.192.43—2
2365.26.192.44/3165.26.192.44 to 65.26.192.45—2
2465.26.192.46/3165.26.192.46 to 65.26.192.47—2
2565.26.192.48/3165.26.192.48 to 65.26.192.49—2
2665.26.192.50/3165.26.192.50 to 65.26.192.51—2
2765.26.192.52/3165.26.192.52 to 65.26.192.53—2
2865.26.192.54/3165.26.192.54 to 65.26.192.55—2
2965.26.192.56/3165.26.192.56 to 65.26.192.57—2
3065.26.192.58/3165.26.192.58 to 65.26.192.59—2
3165.26.192.60/3165.26.192.60 to 65.26.192.61—2
3265.26.192.62/3165.26.192.62 to 65.26.192.63—2
3365.26.192.64/3165.26.192.64 to 65.26.192.65—2
3465.26.192.66/3165.26.192.66 to 65.26.192.67—2
3565.26.192.68/3165.26.192.68 to 65.26.192.69—2
3665.26.192.70/3165.26.192.70 to 65.26.192.71—2
3765.26.192.72/3165.26.192.72 to 65.26.192.73—2
3865.26.192.74/3165.26.192.74 to 65.26.192.75—2
3965.26.192.76/3165.26.192.76 to 65.26.192.77—2
4065.26.192.78/3165.26.192.78 to 65.26.192.79—2
4165.26.192.80/3165.26.192.80 to 65.26.192.81—2
4265.26.192.82/3165.26.192.82 to 65.26.192.83—2
4365.26.192.84/3165.26.192.84 to 65.26.192.85—2
4465.26.192.86/3165.26.192.86 to 65.26.192.87—2
4565.26.192.88/3165.26.192.88 to 65.26.192.89—2
4665.26.192.90/3165.26.192.90 to 65.26.192.91—2
4765.26.192.92/3165.26.192.92 to 65.26.192.93—2
4865.26.192.94/3165.26.192.94 to 65.26.192.95—2
4965.26.192.96/3165.26.192.96 to 65.26.192.97—2
5065.26.192.98/3165.26.192.98 to 65.26.192.99—2
5165.26.192.100/3165.26.192.100 to 65.26.192.101—2
5265.26.192.102/3165.26.192.102 to 65.26.192.103—2
5365.26.192.104/3165.26.192.104 to 65.26.192.105—2
5465.26.192.106/3165.26.192.106 to 65.26.192.107—2
5565.26.192.108/3165.26.192.108 to 65.26.192.109—2
5665.26.192.110/3165.26.192.110 to 65.26.192.111—2
5765.26.192.112/3165.26.192.112 to 65.26.192.113—2
5865.26.192.114/3165.26.192.114 to 65.26.192.115—2
5965.26.192.116/3165.26.192.116 to 65.26.192.117—2
6065.26.192.118/3165.26.192.118 to 65.26.192.119—2
6165.26.192.120/3165.26.192.120 to 65.26.192.121—2
6265.26.192.122/3165.26.192.122 to 65.26.192.123—2
6365.26.192.124/3165.26.192.124 to 65.26.192.125—2
6465.26.192.126/3165.26.192.126 to 65.26.192.127—2
6565.26.192.128/3165.26.192.128 to 65.26.192.129—2
6665.26.192.130/3165.26.192.130 to 65.26.192.131—2
6765.26.192.132/3165.26.192.132 to 65.26.192.133—2
6865.26.192.134/3165.26.192.134 to 65.26.192.135—2
6965.26.192.136/3165.26.192.136 to 65.26.192.137—2
7065.26.192.138/3165.26.192.138 to 65.26.192.139—2
7165.26.192.140/3165.26.192.140 to 65.26.192.141—2
7265.26.192.142/3165.26.192.142 to 65.26.192.143—2
7365.26.192.144/3165.26.192.144 to 65.26.192.145—2
7465.26.192.146/3165.26.192.146 to 65.26.192.147—2
7565.26.192.148/3165.26.192.148 to 65.26.192.149—2
7665.26.192.150/3165.26.192.150 to 65.26.192.151—2
7765.26.192.152/3165.26.192.152 to 65.26.192.153—2
7865.26.192.154/3165.26.192.154 to 65.26.192.155—2
7965.26.192.156/3165.26.192.156 to 65.26.192.157—2
8065.26.192.158/3165.26.192.158 to 65.26.192.159—2
8165.26.192.160/3165.26.192.160 to 65.26.192.161—2
8265.26.192.162/3165.26.192.162 to 65.26.192.163—2
8365.26.192.164/3165.26.192.164 to 65.26.192.165—2
8465.26.192.166/3165.26.192.166 to 65.26.192.167—2
8565.26.192.168/3165.26.192.168 to 65.26.192.169—2
8665.26.192.170/3165.26.192.170 to 65.26.192.171—2
8765.26.192.172/3165.26.192.172 to 65.26.192.173—2
8865.26.192.174/3165.26.192.174 to 65.26.192.175—2
8965.26.192.176/3165.26.192.176 to 65.26.192.177—2
9065.26.192.178/3165.26.192.178 to 65.26.192.179—2
9165.26.192.180/3165.26.192.180 to 65.26.192.181—2
9265.26.192.182/3165.26.192.182 to 65.26.192.183—2
9365.26.192.184/3165.26.192.184 to 65.26.192.185—2
9465.26.192.186/3165.26.192.186 to 65.26.192.187—2
9565.26.192.188/3165.26.192.188 to 65.26.192.189—2
9665.26.192.190/3165.26.192.190 to 65.26.192.191—2
9765.26.192.192/3165.26.192.192 to 65.26.192.193—2
9865.26.192.194/3165.26.192.194 to 65.26.192.195—2
9965.26.192.196/3165.26.192.196 to 65.26.192.197—2
10065.26.192.198/3165.26.192.198 to 65.26.192.199—2
10165.26.192.200/3165.26.192.200 to 65.26.192.201—2
10265.26.192.202/3165.26.192.202 to 65.26.192.203—2
10365.26.192.204/3165.26.192.204 to 65.26.192.205—2
10465.26.192.206/3165.26.192.206 to 65.26.192.207—2
10565.26.192.208/3165.26.192.208 to 65.26.192.209—2
10665.26.192.210/3165.26.192.210 to 65.26.192.211—2
10765.26.192.212/3165.26.192.212 to 65.26.192.213—2
10865.26.192.214/3165.26.192.214 to 65.26.192.215—2
10965.26.192.216/3165.26.192.216 to 65.26.192.217—2
11065.26.192.218/3165.26.192.218 to 65.26.192.219—2
11165.26.192.220/3165.26.192.220 to 65.26.192.221—2
11265.26.192.222/3165.26.192.222 to 65.26.192.223—2
11365.26.192.224/3165.26.192.224 to 65.26.192.225—2
11465.26.192.226/3165.26.192.226 to 65.26.192.227—2
11565.26.192.228/3165.26.192.228 to 65.26.192.229—2
11665.26.192.230/3165.26.192.230 to 65.26.192.231—2
11765.26.192.232/3165.26.192.232 to 65.26.192.233—2
11865.26.192.234/3165.26.192.234 to 65.26.192.235—2
11965.26.192.236/3165.26.192.236 to 65.26.192.237—2
12065.26.192.238/3165.26.192.238 to 65.26.192.239—2
12165.26.192.240/3165.26.192.240 to 65.26.192.241—2
12265.26.192.242/3165.26.192.242 to 65.26.192.243—2
12365.26.192.244/3165.26.192.244 to 65.26.192.245—2
12465.26.192.246/3165.26.192.246 to 65.26.192.247—2
12565.26.192.248/3165.26.192.248 to 65.26.192.249—2
12665.26.192.250/3165.26.192.250 to 65.26.192.251—2
12765.26.192.252/3165.26.192.252 to 65.26.192.253—2
12865.26.192.254/3165.26.192.254 to 65.26.192.255—2
12965.26.193.0/3165.26.193.0 to 65.26.193.1—2
13065.26.193.2/3165.26.193.2 to 65.26.193.3—2
13165.26.193.4/3165.26.193.4 to 65.26.193.5—2
13265.26.193.6/3165.26.193.6 to 65.26.193.7—2
13365.26.193.8/3165.26.193.8 to 65.26.193.9—2
13465.26.193.10/3165.26.193.10 to 65.26.193.11—2
13565.26.193.12/3165.26.193.12 to 65.26.193.13—2
13665.26.193.14/3165.26.193.14 to 65.26.193.15—2
13765.26.193.16/3165.26.193.16 to 65.26.193.17—2
13865.26.193.18/3165.26.193.18 to 65.26.193.19—2
13965.26.193.20/3165.26.193.20 to 65.26.193.21—2
14065.26.193.22/3165.26.193.22 to 65.26.193.23—2
14165.26.193.24/3165.26.193.24 to 65.26.193.25—2
14265.26.193.26/3165.26.193.26 to 65.26.193.27—2
14365.26.193.28/3165.26.193.28 to 65.26.193.29—2
14465.26.193.30/3165.26.193.30 to 65.26.193.31—2
14565.26.193.32/3165.26.193.32 to 65.26.193.33—2
14665.26.193.34/3165.26.193.34 to 65.26.193.35—2
14765.26.193.36/3165.26.193.36 to 65.26.193.37—2
14865.26.193.38/3165.26.193.38 to 65.26.193.39—2
14965.26.193.40/3165.26.193.40 to 65.26.193.41—2
15065.26.193.42/3165.26.193.42 to 65.26.193.43—2
15165.26.193.44/3165.26.193.44 to 65.26.193.45—2
15265.26.193.46/3165.26.193.46 to 65.26.193.47—2
15365.26.193.48/3165.26.193.48 to 65.26.193.49—2
15465.26.193.50/3165.26.193.50 to 65.26.193.51—2
15565.26.193.52/3165.26.193.52 to 65.26.193.53—2
15665.26.193.54/3165.26.193.54 to 65.26.193.55—2
15765.26.193.56/3165.26.193.56 to 65.26.193.57—2
15865.26.193.58/3165.26.193.58 to 65.26.193.59—2
15965.26.193.60/3165.26.193.60 to 65.26.193.61—2
16065.26.193.62/3165.26.193.62 to 65.26.193.63—2
16165.26.193.64/3165.26.193.64 to 65.26.193.65—2
16265.26.193.66/3165.26.193.66 to 65.26.193.67—2
16365.26.193.68/3165.26.193.68 to 65.26.193.69—2
16465.26.193.70/3165.26.193.70 to 65.26.193.71—2
16565.26.193.72/3165.26.193.72 to 65.26.193.73—2
16665.26.193.74/3165.26.193.74 to 65.26.193.75—2
16765.26.193.76/3165.26.193.76 to 65.26.193.77—2
16865.26.193.78/3165.26.193.78 to 65.26.193.79—2
16965.26.193.80/3165.26.193.80 to 65.26.193.81—2
17065.26.193.82/3165.26.193.82 to 65.26.193.83—2
17165.26.193.84/3165.26.193.84 to 65.26.193.85—2
17265.26.193.86/3165.26.193.86 to 65.26.193.87—2
17365.26.193.88/3165.26.193.88 to 65.26.193.89—2
17465.26.193.90/3165.26.193.90 to 65.26.193.91—2
17565.26.193.92/3165.26.193.92 to 65.26.193.93—2
17665.26.193.94/3165.26.193.94 to 65.26.193.95—2
17765.26.193.96/3165.26.193.96 to 65.26.193.97—2
17865.26.193.98/3165.26.193.98 to 65.26.193.99—2
17965.26.193.100/3165.26.193.100 to 65.26.193.101—2
18065.26.193.102/3165.26.193.102 to 65.26.193.103—2
18165.26.193.104/3165.26.193.104 to 65.26.193.105—2
18265.26.193.106/3165.26.193.106 to 65.26.193.107—2
18365.26.193.108/3165.26.193.108 to 65.26.193.109—2
18465.26.193.110/3165.26.193.110 to 65.26.193.111—2
18565.26.193.112/3165.26.193.112 to 65.26.193.113—2
18665.26.193.114/3165.26.193.114 to 65.26.193.115—2
18765.26.193.116/3165.26.193.116 to 65.26.193.117—2
18865.26.193.118/3165.26.193.118 to 65.26.193.119—2
18965.26.193.120/3165.26.193.120 to 65.26.193.121—2
19065.26.193.122/3165.26.193.122 to 65.26.193.123—2
19165.26.193.124/3165.26.193.124 to 65.26.193.125—2
19265.26.193.126/3165.26.193.126 to 65.26.193.127—2
19365.26.193.128/3165.26.193.128 to 65.26.193.129—2
19465.26.193.130/3165.26.193.130 to 65.26.193.131—2
19565.26.193.132/3165.26.193.132 to 65.26.193.133—2
19665.26.193.134/3165.26.193.134 to 65.26.193.135—2
19765.26.193.136/3165.26.193.136 to 65.26.193.137—2
19865.26.193.138/3165.26.193.138 to 65.26.193.139—2
19965.26.193.140/3165.26.193.140 to 65.26.193.141—2
20065.26.193.142/3165.26.193.142 to 65.26.193.143—2
20165.26.193.144/3165.26.193.144 to 65.26.193.145—2
20265.26.193.146/3165.26.193.146 to 65.26.193.147—2
20365.26.193.148/3165.26.193.148 to 65.26.193.149—2
20465.26.193.150/3165.26.193.150 to 65.26.193.151—2
20565.26.193.152/3165.26.193.152 to 65.26.193.153—2
20665.26.193.154/3165.26.193.154 to 65.26.193.155—2
20765.26.193.156/3165.26.193.156 to 65.26.193.157—2
20865.26.193.158/3165.26.193.158 to 65.26.193.159—2
20965.26.193.160/3165.26.193.160 to 65.26.193.161—2
21065.26.193.162/3165.26.193.162 to 65.26.193.163—2
21165.26.193.164/3165.26.193.164 to 65.26.193.165—2
21265.26.193.166/3165.26.193.166 to 65.26.193.167—2
21365.26.193.168/3165.26.193.168 to 65.26.193.169—2
21465.26.193.170/3165.26.193.170 to 65.26.193.171—2
21565.26.193.172/3165.26.193.172 to 65.26.193.173—2
21665.26.193.174/3165.26.193.174 to 65.26.193.175—2
21765.26.193.176/3165.26.193.176 to 65.26.193.177—2
21865.26.193.178/3165.26.193.178 to 65.26.193.179—2
21965.26.193.180/3165.26.193.180 to 65.26.193.181—2
22065.26.193.182/3165.26.193.182 to 65.26.193.183—2
22165.26.193.184/3165.26.193.184 to 65.26.193.185—2
22265.26.193.186/3165.26.193.186 to 65.26.193.187—2
22365.26.193.188/3165.26.193.188 to 65.26.193.189—2
22465.26.193.190/3165.26.193.190 to 65.26.193.191—2
22565.26.193.192/3165.26.193.192 to 65.26.193.193—2
22665.26.193.194/3165.26.193.194 to 65.26.193.195—2
22765.26.193.196/3165.26.193.196 to 65.26.193.197—2
22865.26.193.198/3165.26.193.198 to 65.26.193.199—2
22965.26.193.200/3165.26.193.200 to 65.26.193.201—2
23065.26.193.202/3165.26.193.202 to 65.26.193.203—2
23165.26.193.204/3165.26.193.204 to 65.26.193.205—2
23265.26.193.206/3165.26.193.206 to 65.26.193.207—2
23365.26.193.208/3165.26.193.208 to 65.26.193.209—2
23465.26.193.210/3165.26.193.210 to 65.26.193.211—2
23565.26.193.212/3165.26.193.212 to 65.26.193.213—2
23665.26.193.214/3165.26.193.214 to 65.26.193.215—2
23765.26.193.216/3165.26.193.216 to 65.26.193.217—2
23865.26.193.218/3165.26.193.218 to 65.26.193.219—2
23965.26.193.220/3165.26.193.220 to 65.26.193.221—2
24065.26.193.222/3165.26.193.222 to 65.26.193.223—2
24165.26.193.224/3165.26.193.224 to 65.26.193.225—2
24265.26.193.226/3165.26.193.226 to 65.26.193.227—2
24365.26.193.228/3165.26.193.228 to 65.26.193.229—2
24465.26.193.230/3165.26.193.230 to 65.26.193.231—2
24565.26.193.232/3165.26.193.232 to 65.26.193.233—2
24665.26.193.234/3165.26.193.234 to 65.26.193.235—2
24765.26.193.236/3165.26.193.236 to 65.26.193.237—2
24865.26.193.238/3165.26.193.238 to 65.26.193.239—2
24965.26.193.240/3165.26.193.240 to 65.26.193.241—2
25065.26.193.242/3165.26.193.242 to 65.26.193.243—2
25165.26.193.244/3165.26.193.244 to 65.26.193.245—2
25265.26.193.246/3165.26.193.246 to 65.26.193.247—2
25365.26.193.248/3165.26.193.248 to 65.26.193.249—2
25465.26.193.250/3165.26.193.250 to 65.26.193.251—2
25565.26.193.252/3165.26.193.252 to 65.26.193.253—2
25665.26.193.254/3165.26.193.254 to 65.26.193.255—2

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses